Buteo Synchronization Framework: SyncDaemonProxy Class Reference

Buteo Synchronization Framework

Public Slots | Signals | Public Member Functions | Static Public Member Functions | List of all members
SyncDaemonProxy Class Reference

Proxy class for interface com.meego.msyncd. More...

`#include <SyncDaemonProxy.h>`

Inheritance diagram for SyncDaemonProxy:

## Public Slots
Q_NOREPLY void | abortSync (const QString &aProfileId)
QDBusPendingReply< bool > | addProfile (const QString &aProfileAsXml)
QDBusPendingReply< QStringList > | allVisibleSyncProfiles ()
QDBusPendingReply< bool > | getBackUpRestoreState ()
QDBusPendingReply< QString > | getLastSyncResult (const QString &aProfileId)
QDBusPendingReply< bool > | isLastSyncScheduled (const QString &aProfileId)
QDBusPendingReply< int > | lastSyncMajorCode (const QString &aProfileId)
QDBusPendingReply< int > | lastSyncMinorCode (const QString &aProfileId)
QDBusPendingReply< QString > | lastSyncTime (const QString &aProfileId)
Q_NOREPLY void | releaseStorages (const QStringList &aStorageNames)
QDBusPendingReply< bool > | removeProfile (const QString &aProfileId)
QDBusPendingReply< bool > | requestStorages (const QStringList &aStorageNames)
QDBusPendingReply< QStringList > | runningSyncs ()
QDBusPendingReply< bool > | saveSyncResults (const QString &aProfileId, const QString &aSyncResults)
QDBusPendingReply< bool > | setSyncSchedule (const QString &aProfileId, const QString &aScheduleAsXml)
QDBusPendingReply< bool > | startSync (const QString &aProfileId)
QDBusPendingReply< QString > | syncProfile (const QString &aProfileId)
QDBusPendingReply< QStringList > | syncProfilesByKey (const QString &aKey, const QString &aValue)
QDBusPendingReply< QStringList > | syncProfilesByType (const QString &aType)
QDBusPendingReply< bool > | updateProfile (const QString &aProfileAsXml)

## Signals
void | backupDone ()
void | backupInProgress ()
void | restoreDone ()
void | restoreInProgress ()
void | resultsAvailable (const QString &aProfileName, const QString &aResultsAsXml)
void | signalProfileChanged (const QString &aProfileName, int aChangeType, const QString &aProfileAsXml)
void | syncStatus (const QString &aProfileName, int aStatus, const QString &aMessage, int aErrorCode)
void | transferProgress (const QString &aProfileName, int aTransferDatabase, int aTransferType, const QString &aMimeType, int aCommittedItems)

## Public Member Functions
| SyncDaemonProxy (const QString &service, const QString &path, const QDBusConnection &connection, QObject *parent=0)
| ~SyncDaemonProxy ()

## Static Public Member Functions
static const char * | staticInterfaceName ()
| returns Interface Name

## Detailed Description

Proxy class for interface com.meego.msyncd.

## Constructor & Destructor Documentation

## ◆ SyncDaemonProxy()

SyncDaemonProxy::SyncDaemonProxy | ( | const QString & | service,
|  | const QString & | path,
|  | const QDBusConnection & | connection,
|  | QObject * | parent = `0`
| ) |  |

See also
  SyncDBusInterface::SyncDBusInterface()

## ◆ ~SyncDaemonProxy()

SyncDaemonProxy::~SyncDaemonProxy | ( |  | ) |

See also
  SyncDBusInterface::SyncDBusInterface()

## Member Function Documentation

## ◆ abortSync

Q_NOREPLY void SyncDaemonProxy::abortSync | ( | const QString & | aProfileId | ) |
| inlineslot

See also
  SyncDBusInterface::abortSync()

## ◆ addProfile

QDBusPendingReply<bool> SyncDaemonProxy::addProfile | ( | const QString & | aProfileAsXml | ) |
| inlineslot

See also
  SyncDBusInterface::addProfile()

## ◆ allVisibleSyncProfiles

QDBusPendingReply<QStringList> SyncDaemonProxy::allVisibleSyncProfiles | ( |  | ) |
| inlineslot

See also
  SyncDBusInterface::allVisibleSyncProfiles()

## ◆ backupDone

void SyncDaemonProxy::backupDone | ( |  | ) |
| signal

See also
  SyncDBusInterface::backupDone()

## ◆ backupInProgress

void SyncDaemonProxy::backupInProgress | ( |  | ) |
| signal

See also
  SyncDBusInterface::backupInProgress()

## ◆ getBackUpRestoreState

QDBusPendingReply<bool> SyncDaemonProxy::getBackUpRestoreState | ( |  | ) |
| inlineslot

See also
  SyncDBusInterface::getBackUpRestoreState()

## ◆ getLastSyncResult

QDBusPendingReply<QString> SyncDaemonProxy::getLastSyncResult | ( | const QString & | aProfileId | ) |
| inlineslot

See also
  SyncDBusInterface::getLastSyncResult()

## ◆ isLastSyncScheduled

QDBusPendingReply<bool> SyncDaemonProxy::isLastSyncScheduled | ( | const QString & | aProfileId | ) |
| inlineslot

See also
  SyncDBusInterface::isLastSyncScheduled()

## ◆ lastSyncMajorCode

QDBusPendingReply<int> SyncDaemonProxy::lastSyncMajorCode | ( | const QString & | aProfileId | ) |
| inlineslot

See also
  SyncDBusInterface::lastSyncMajorCode()

## ◆ lastSyncMinorCode

QDBusPendingReply<int> SyncDaemonProxy::lastSyncMinorCode | ( | const QString & | aProfileId | ) |
| inlineslot

See also
  SyncDBusInterface::lastSyncMinorCode()

## ◆ lastSyncTime

QDBusPendingReply<QString> SyncDaemonProxy::lastSyncTime | ( | const QString & | aProfileId | ) |
| inlineslot

See also
  SyncDBusInterface::lastSyncTime()

## ◆ releaseStorages

Q_NOREPLY void SyncDaemonProxy::releaseStorages | ( | const QStringList & | aStorageNames | ) |
| inlineslot

See also
  SyncDBusInterface::releaseStorages()

## ◆ removeProfile

QDBusPendingReply<bool> SyncDaemonProxy::removeProfile | ( | const QString & | aProfileId | ) |
| inlineslot

See also
  SyncDBusInterface::removeProfile()

## ◆ requestStorages

QDBusPendingReply<bool> SyncDaemonProxy::requestStorages | ( | const QStringList & | aStorageNames | ) |
| inlineslot

See also
  SyncDBusInterface::requestStorages()

## ◆ restoreDone

void SyncDaemonProxy::restoreDone | ( |  | ) |
| signal

See also
  SyncDBusInterface::restoreDone()

## ◆ restoreInProgress

void SyncDaemonProxy::restoreInProgress | ( |  | ) |
| signal

See also
  SyncDBusInterface::restoreInProgress()

## ◆ resultsAvailable

void SyncDaemonProxy::resultsAvailable | ( | const QString & | aProfileName,
|  | const QString & | aResultsAsXml
| ) |  |
| signal

See also
  SyncDBusInterface::resultsAvailable()

## ◆ runningSyncs

QDBusPendingReply<QStringList> SyncDaemonProxy::runningSyncs | ( |  | ) |
| inlineslot

See also
  SyncDBusInterface::runningSyncs()

## ◆ saveSyncResults

QDBusPendingReply<bool> SyncDaemonProxy::saveSyncResults | ( | const QString & | aProfileId,
|  | const QString & | aSyncResults
| ) |  |
| inlineslot

See also
  SyncDBusInterface::saveSyncResults()

## ◆ setSyncSchedule

QDBusPendingReply<bool> SyncDaemonProxy::setSyncSchedule | ( | const QString & | aProfileId,
|  | const QString & | aScheduleAsXml
| ) |  |
| inlineslot

See also
  SyncDBusInterface::setSyncSchedule()

## ◆ signalProfileChanged

void SyncDaemonProxy::signalProfileChanged | ( | const QString & | aProfileName,
|  | int | aChangeType,
|  | const QString & | aProfileAsXml
| ) |  |
| signal

See also
  SyncDBusInterface::signalProfileChanged()

## ◆ startSync

QDBusPendingReply<bool> SyncDaemonProxy::startSync | ( | const QString & | aProfileId | ) |
| inlineslot

See also
  SyncDBusInterface::startSync()

## ◆ syncProfile

QDBusPendingReply<QString> SyncDaemonProxy::syncProfile | ( | const QString & | aProfileId | ) |
| inlineslot

See also
  SyncDBusInterface::syncProfile()

## ◆ syncProfilesByKey

QDBusPendingReply<QStringList> SyncDaemonProxy::syncProfilesByKey | ( | const QString & | aKey,
|  | const QString & | aValue
| ) |  |
| inlineslot

See also
  SyncDBusInterface::syncProfilesByKey

## ◆ syncProfilesByType

QDBusPendingReply<QStringList> SyncDaemonProxy::syncProfilesByType | ( | const QString & | aType | ) |
| inlineslot

See also
  SyncDBusInterface::syncProfilesByType

## ◆ syncStatus

void SyncDaemonProxy::syncStatus | ( | const QString & | aProfileName,
|  | int | aStatus,
|  | const QString & | aMessage,
|  | int | aErrorCode
| ) |  |
| signal

See also
  SyncDBusInterface::syncStatus()

## ◆ transferProgress

void SyncDaemonProxy::transferProgress | ( | const QString & | aProfileName,
|  | int | aTransferDatabase,
|  | int | aTransferType,
|  | const QString & | aMimeType,
|  | int | aCommittedItems
| ) |  |
| signal

See also
  SyncDBusInterface::transferProgress()

## ◆ updateProfile

QDBusPendingReply<bool> SyncDaemonProxy::updateProfile | ( | const QString & | aProfileAsXml | ) |
| inlineslot

See also
  SyncDBusInterface::updateProfile()

The documentation for this class was generated from the following files:

- SyncDaemonProxy.h
- SyncDaemonProxy.cpp
- moc_SyncDaemonProxy.cpp